Full name: projects.locations.instances.sharedPreferenceSets.list
Lists shared preference sets.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/sharedPreferenceSets
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource of the SharedPreferenceSets to list. Format: projects/{project}/locations/{location}/instances/{instance} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum number of SharedPreferenceSets to return. The service may return fewer than this value. If unspecified, at most 100 shared preference sets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. Page token received from a previous When paginating, all other parameters provided to |
filter |
Optional. Filters the list results. Only the following filters are allowed: "namespace:{namespace_name}" |
Request body
The request body must be empty.
Response body
Response for SharedPreferenceSetService sharedPreferenceSets.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"sharedPreferenceSets": [
{
object ( |
| Fields | |
|---|---|
sharedPreferenceSets[] |
The SharedPreferenceSets found. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.